Bug 437655 - always create /tmp/.X11-unix on boot
always create /tmp/.X11-unix on boot
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: freenx-server (Show other bugs)
11
All Linux
high Severity low
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
: Reopened
: 450887 514603 558856 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-15 16:12 EDT by Jack Tanner
Modified: 2010-01-27 11:44 EST (History)
7 users (show)

See Also:
Fixed In Version: 0.7.3-15.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-10 17:40:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Tanner 2008-03-15 16:12:12 EDT
freenx-0.7.1-3.fc8 chokes if there's no /tmp/.X11-unix, or if the permissions
are wrong. Since that directory can get removed when /tmp is cleaned, the freenx
RPM should add an initscript that creates it on boot. There's a sample one in
freenx SVN. For more details, see
http://article.gmane.org/gmane.network.freenx.general/6015
Comment 1 Axel Thimm 2008-04-24 04:37:49 EDT
freenx has been split into freenx-server and freenx-client. Most open bugs for
freenx addressed parts of the current freenx-server package. See also bug #438660.

freenx-server is currently in testing repos. Please give it a try as it will
soon replace the freenx package.
Comment 2 Axel Thimm 2008-06-11 16:05:44 EDT
*** Bug 450887 has been marked as a duplicate of this bug. ***
Comment 3 Bug Zapper 2008-11-26 05:10:20 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jack Tanner 2008-12-01 10:43:16 EST
Axel, I don't believe this bug was ever fixed, was it?
Comment 5 Bug Zapper 2009-01-09 02:43:50 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Jack Tanner 2009-01-09 11:17:16 EST
Reopening; I don't believe this was fixed.
Comment 7 Jens Kuehnel 2009-06-10 10:22:43 EDT
This problem is still there. Not only for Fedora 10, but also for Fedora 11.
Comment 8 Jack Tanner 2009-06-10 22:22:45 EDT
updating to f11 per comment #7
Comment 9 Fedora Update System 2009-07-25 19:11:23 EDT
freenx-server-0.7.3-14.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/freenx-server-0.7.3-14.fc10
Comment 10 Fedora Update System 2009-07-25 19:12:03 EDT
freenx-server-0.7.3-14.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/freenx-server-0.7.3-14.fc11
Comment 11 Fedora Update System 2009-07-27 17:30:24 EDT
freenx-server-0.7.3-14.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freenx-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8023
Comment 12 Fedora Update System 2009-07-27 17:31:17 EDT
freenx-server-0.7.3-14.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freenx-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8022
Comment 13 Michal Schmidt 2009-07-31 07:45:19 EDT
This change in freenx-server-0.7.3-14.fc11 breaks a lot of stuff on a SELinux-enabled system. When the init script /etc/init.d/freenx-server creates the /tmp/.X11-unix directory, its context is initrc_tmp_t:

$ ls -lZd /tmp/.X11-unix
drwxrwxrwt. root root unconfined_u:object_r:initrc_tmp_t:s0 /tmp/.X11-unix

This is wrong. The correct context (when freenx-server is not installed) is:

$ ls -lZd /tmp/.X11-unix
drwxrwxrwt. root root system_u:object_r:xserver_tmp_t:s0 /tmp/.X11-unix

The symptoms of the incorrect context are: session DBus refusing sending messages, NetworkManager not working, ...

Notice that vncserver is in a similar situation - it also creates /tmp/.X11-unix from its initscript. They solved the problem by adding this after mkdir:

restorecon /tmp/.X11-unix 2>/dev/null || :

Please add the same line to /etc/init.d/freenx-server.
Comment 14 Michal Schmidt 2009-07-31 07:53:57 EDT
I noticed that "restorecon /tmp/.X11-unix" sets the context to xdm_tmp_t (not xserver_tmp_t), but that seems to work fine too.
Comment 15 Axel Thimm 2009-07-31 17:58:43 EDT
*** Bug 514603 has been marked as a duplicate of this bug. ***
Comment 16 Fedora Update System 2009-08-01 19:54:15 EDT
freenx-server-0.7.3-15.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freenx-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8022
Comment 17 Fedora Update System 2009-08-01 19:58:06 EDT
freenx-server-0.7.3-15.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freenx-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8023
Comment 18 Fedora Update System 2009-08-10 17:39:59 EDT
freenx-server-0.7.3-15.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-08-10 17:52:20 EDT
freenx-server-0.7.3-15.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 JM 2010-01-07 12:09:50 EST
The problem still exist,

restorecon /tmp/.X11-unix 2>/dev/null || :

is still missing in the 

/etc/init.d/freenx-server

script, so the bug is not fixed...

I use version freenx-server-0.7.3-17.fc11
Comment 21 Daniel Walsh 2010-01-27 11:44:53 EST
*** Bug 558856 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.